Application: gvSIG desktop - gvSIG bugs #895
The geoprocess Spatial join can not finish it
07/20/2012 09:17 AM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category:

Target version: 2.0.0-devel-2053

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Open GvSIG, new view.

2. Load the shapefile (http://downloads.gvsig.org/download/geodata/vector/SHP2D/municipiosAndal.zip) and the shapefile (
http://downloads.gvsig.org/download/geodata/vector/SHP2D/urb andalucia.zip

3. Click on Spatial join tool.

4. Select as Input Cover “municipiosAndal.shp” and as Clip cover “urb_andalucia.shp”.

5. Activate the checkbox of Use nearest geometry.

6. Define the output cover.
7. After press OK, the tool is blocked and we need press ESC bottom to cancel the process.

History

#1 - 08/10/2012 11:37 AM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 08/13/2012 10:55 AM - Joaquin del Cerro Murciano

- Assignee set to Ignacio Brodin
#3 - 08/30/2012 08:13 AM - Ignacio Brodin

- Assignee changed from Ignacio Brodin to Joaquin del Cerro Murciano

Joaquin: Cuando intento anadir un indice JSIRTree a una capa que tiene alguna geometria nula suelta un lllegalArgumentException ("value is neither
Geometry or Envelope"). Sabes porqué puede ser o si hay forma de evitarlo?

#4 - 08/30/2012 12:15 PM - Ignacio Brodin
- Assignee changed from Joaquin del Cerro Murciano to Ignacio Brodin

#5 - 08/30/2012 01:26 PM - Ignacio Brodin

gvsig-desktop:r38804

#6 - 08/30/2012 02:40 PM - Ignacio Brodin
- Status changed from New to Fixed
http://downloads.gvsig.org/download/geodata/vector/SHP2D/municipiosAndal.zip
http://downloads.gvsig.org/download/geodata/vector/SHP2D/urb_andalucia.zip

gvsig-geoprocess:r294

#7 - 09/06/2012 12:29 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2053

#8 - 09/06/2012 01:46 PM - Vicent Domenech

- Status changed from Fixed to Closed

Closed with gvSIG build 2052
org.gvsig.geoprocess.app.algorithm-1.0.0-SNAPSHOT-2047
org.gvsig.geoprocess.app.mainplugin-1.0.0-SNAPSHOT-2047
